Index: /MDService2/trunk/MDService2/WebContent/scripts/mdservice_model.js
===================================================================
--- /MDService2/trunk/MDService2/WebContent/scripts/mdservice_model.js	(revision 1233)
+++ /MDService2/trunk/MDService2/WebContent/scripts/mdservice_model.js	(revision 1234)
@@ -542,6 +542,6 @@
 
 /**
-@class A singleton-object holding all queries.
-@static
+ * A singleton-object holding all queries.
+ * @constructor
 */ 
 var queryset = { queries: [],
@@ -740,4 +740,5 @@
 	$(q_header).data('query',query);
 	q_header.find('.cmd_reload').data('query',query);
+	q_header.find('.cmds .cmd_save').data('query',query);
  	q_header.find('.cmd_reload').click(function() {
  		/*
@@ -802,8 +803,8 @@
 		var did = $(this).closest('.detail-wrapper').attr("id");
  		var qid = detailcaller.getdetail(did).temp_id;
-		var q = queryset.getQuery(qid);
-		q.format = $(this).find('option:selected').val();
+		var q = queryset.getQuery(qid);		
 		queryset.resubmit(qid);
 		*/
+		$(this).data('query').format = $(this).find('option:selected').val();
 		$(this).data('query').resubmit();
 	});
Index: /MDService2/trunk/MDService2/WebContent/scripts/mdservice_searchclause.js
===================================================================
--- /MDService2/trunk/MDService2/WebContent/scripts/mdservice_searchclause.js	(revision 1233)
+++ /MDService2/trunk/MDService2/WebContent/scripts/mdservice_searchclause.js	(revision 1234)
@@ -19,4 +19,10 @@
  //var  relation_autocomplete = new Array('any','all','=','>','<'); 
  //var  value_autocomplete = new Array();
+
+/**
+ * SearchClause model [index,relation, value], with basic functionality - 
+ * creation, render, autocomplete.
+ * @constructor
+*/ 
 function SearchClause(index, relation, value ) {
 	this.index = index;
@@ -339,5 +345,13 @@
 var searchclauseset_container = $("#searchclauselist"); 
 
-var searchclauseset = { 
+/**
+ * container of actually used Searchclauses in the query-input
+ * with basic functionality for building container - add, remove, clear
+ * and conversion functions - conversions from-to querystring
+ * @constructor 
+ */
+
+var searchclauseset = {
+		/**  @field */
 	searchclauses: [],
 	container: '#searchclauselist',
Index: /MDService2/trunk/MDService2/WebContent/scripts/mdservice_ui.js
===================================================================
--- /MDService2/trunk/MDService2/WebContent/scripts/mdservice_ui.js	(revision 1233)
+++ /MDService2/trunk/MDService2/WebContent/scripts/mdservice_ui.js	(revision 1234)
@@ -1,9 +1,15 @@
 /**
- * @fileOverview  This is the main app,  contains main app function. 
+ * @fileOverview  This is the main file, contains main app function (jquery-initialization). 
  * The app main function runs setup functionality, which covers this domains:
- * - the variable initialization - functions from mdservice_searchclause.js, mdservice_widget.js, mdservice_ui_helpers.js
- * - loading data from repository and creating particular client-side representations  - functions from mdservice_ui_load.js
- * - creating of ui-layout , means split UI to particular panes  - functions from mdservice_ui_layout.js
- * - adding all app widget functionality  - functions are included directly in mdservice_ui.js *
+ * <dl>
+ * <dt>the variable initialization<dt>
+ * 	<dd>functions from mdservice_searchclause.js, mdservice_widget.js, mdservice_ui_helpers.js</dd>
+ * <dt>loadData()</dt> 
+ * 	<dd>loading data from repository and creating particular client-side representations  - functions from <a>mdservice_ui_load.js</a></dd>
+ * <dt>creating of ui-layout</dt>
+ * 	<dd>i.e. split UI to individual panes  - functions from mdservice_ui_layout.js</dd>
+ * <dt>addFunctionality()</dt>
+ * 	<dd>bind handlers to events of ui-elements (function directly in mdservice_ui.js)</dd>
+ * </dl>
  * @author 
  * @version 
@@ -83,4 +89,9 @@
 
 }
+
+/**
+ * This function is called during the initialization sequence and binds event-handlers to events of ui-elements.
+ * @function
+ */
 function addFunctionality(){
 	// DEL COMMAND
@@ -98,4 +109,8 @@
 	})
 */
+	/**
+	 * Remove a query
+	 * @event
+	 */
 	$('.query_header .cmd_del').live('click', function(){
 		$(this).closest('.query_wrapper').remove();
@@ -306,4 +321,13 @@
 
 */
+	
+	$('#detail_query .cmds .cmd_save').live('click',  function(event) {
+		qid = $(this).data('query').listid;
+		notifyUser("here I would save query: " + qid, "debug");
+	});
+
+	/**
+	 * FIXME: this should only invoke appropriate query-function storing the query to workspaceprofile
+	 */
 	$('#querylist .cmd_save').live('click',  function(event) {
 		
@@ -328,5 +352,5 @@
 			json_options = queryset.getoptions(qid);
 		}
-	
+		notifyUser("saving query: " + qid, "debug");
 		// JSON conversion
 		if (qstring.length == 0){
@@ -403,4 +427,7 @@
 	});
 	*/
+	/**
+	 * FIXME: this looks like a typo: #queryslist -> #querylist  
+	 */
 	$('#queryslist .cmd_reload').live('click',  function(event) {
 		var qid = $(this).closest('.query_wrapper').attr("id");
@@ -704,4 +731,10 @@
 }
 
+/**
+ * allows to add ui-containers into the detail-pane.
+ * 
+ * Most of it is just to ensure a defined ordering:
+ * 1. info, 2. index, 3. query, 4. record
+ */
 function addToDetailList(elem, did){
 	var exists = false;
Index: /MDService2/trunk/MDService2/WebContent/scripts/mdservice_ui_detail.js
===================================================================
--- /MDService2/trunk/MDService2/WebContent/scripts/mdservice_ui_detail.js	(revision 1233)
+++ /MDService2/trunk/MDService2/WebContent/scripts/mdservice_ui_detail.js	(revision 1234)
@@ -1,8 +1,13 @@
  
 /**
- * @fileOverview The file for detail-call handling. Details are displayd various according to app settings for particular UI block.
+ * @fileOverview The file for detail-call handling. Details are displayd differently based on settings for particular UI block.
  * The file consists from Detail model and Detailset of all currently created detail-windows.
  * @author 
  * @version 
+ */
+
+/**
+ * 
+ * @constructor
  */
 
@@ -234,6 +239,14 @@
 };
 
+/**
+ * Reference to UI-element
+ * @field
+ */ 
 var detail_container = $("#detaillist"); 
 
+/**
+ * Maintains/Manages the detail-list
+ * @constructor
+ */
 var detailcaller = { details: {},
 	container: '#detaillist',
Index: /MDService2/trunk/MDService2/WebContent/scripts/mdservice_ui_helpers.js
===================================================================
--- /MDService2/trunk/MDService2/WebContent/scripts/mdservice_ui_helpers.js	(revision 1233)
+++ /MDService2/trunk/MDService2/WebContent/scripts/mdservice_ui_helpers.js	(revision 1234)
@@ -394,4 +394,8 @@
 var tooltiptable = {};
 
+/** 
+ * Helper-object for displaying tooltips
+ * @constructor
+ */
 var tooltip=function(){
 	 var id = 'tt';
Index: /MDService2/trunk/MDService2/WebContent/scripts/mdservice_ui_settings.js
===================================================================
--- /MDService2/trunk/MDService2/WebContent/scripts/mdservice_ui_settings.js	(revision 1233)
+++ /MDService2/trunk/MDService2/WebContent/scripts/mdservice_ui_settings.js	(revision 1234)
@@ -74,8 +74,8 @@
 		//,	north__paneSelector:	".base-north" 
 		    size:					"auto"
-		  ,	west__size:				200 
-		  ,	east__size:				200 
+		  ,	west__size:				140 
+		  ,	east__size:				280 
 		//,	north__size:			200
-		  ,	spacing_open:			2//8 // ALL panes
+		  ,	spacing_open:			4//8 // ALL panes
 		//,	spacing_closed:			12//12 // ALL panes
 		//,	north__spacing_open:	0
Index: /MDService2/trunk/MDService2/WebContent/scripts/mdservice_widgets.js
===================================================================
--- /MDService2/trunk/MDService2/WebContent/scripts/mdservice_widgets.js	(revision 1233)
+++ /MDService2/trunk/MDService2/WebContent/scripts/mdservice_widgets.js	(revision 1234)
@@ -47,4 +47,8 @@
 var notify_container = $("#notifylist"); 
 
+/**
+ * Maintains the notify messages
+ * @constructor 
+ */
 var notifyset = { notifymessages: [],
 	container: '#notifylist',
@@ -68,8 +72,26 @@
 ////////////////////////////////////////////////////////////////////////
 
+/**
+ * @field 
+ * @memberOf ListWidget
+ */
 var collections_widget = null;
+
+/**
+ * @field 
+ * @memberOf ListWidget
+ */
 var columns_widget = null;
+
+/**
+ * @field 
+ * @memberOf ListWidget
+ */
 var active_widget = null;
 
+/**
+ * A generic widget allowing manipulating lists
+ * @constructor 
+ */
 function ListWidget(_parent_div, type) {
 	this.parent_div = $(_parent_div);//$('#columns-widget');	
@@ -334,6 +356,4 @@
 
 
-
-
 function ListItem(_name, _index ) {
 	this.name = _name;
@@ -359,5 +379,8 @@
 }; 
 
-
+/**
+ * FIXME: What is this for?
+ * @constructor
+ */
 	
 var listwidgetset = { listwidgets: [],
@@ -393,4 +416,9 @@
 
 //////  SELECTION LIST - COMBOBOX
+/**
+ * Selection List implemented as Combobox
+ * @constructor 
+ */
+
 function SelectionList(_parent_div) {
 	this.parent_div = $(_parent_div);	
@@ -610,4 +638,8 @@
 */
 	
+/**
+ * FIXME: What is this for?
+ *  @constructor
+ */
 var selectionlistset = { selectionlists: [],
 			
@@ -637,3 +669,2 @@
 		}
 	};
-	////////////////////////////////////////////////////////////////////////
Index: /MDService2/trunk/MDService2/src/eu/clarin/cmdi/mdservice/action/AdminAction.java
===================================================================
--- /MDService2/trunk/MDService2/src/eu/clarin/cmdi/mdservice/action/AdminAction.java	(revision 1233)
+++ /MDService2/trunk/MDService2/src/eu/clarin/cmdi/mdservice/action/AdminAction.java	(revision 1234)
@@ -15,5 +15,5 @@
 
 /**
- *
+ * This is meant for administrative tasks. Currently only action is related to <code>cache</code> viewing and clearing.
  *
  */
Index: /MDService2/trunk/MDService2/src/eu/clarin/cmdi/mdservice/action/Cache.java
===================================================================
--- /MDService2/trunk/MDService2/src/eu/clarin/cmdi/mdservice/action/Cache.java	(revision 1233)
+++ /MDService2/trunk/MDService2/src/eu/clarin/cmdi/mdservice/action/Cache.java	(revision 1234)
@@ -39,5 +39,10 @@
  * This is a rudimentary caching mechanism.
  * serializes the inputstream to a file (identifier => filename)
- * and returns the inpustream based on the identifier
+ * and returns the inpustream based on the identifier.
+ * 
+ * It maintains the cache_index (persisted as xml-file in the cache-folder)
+ * mapping the request parameters to the indexed files.
+ * 
+ * This is an internal object, direct user access to cache-data via interface is only possible via <code>AdminAction</code>
  * @author master
  *
@@ -95,10 +100,23 @@
 	
 	/**
-	 * here the external key for the data gets cache-internal counter-id assigned
-	 * which is also returned back
-	 * can be used (as shorthand instead of the (long) external key) from outside to retrieve the data.
-	 * This is primarily meant to be able to reuse the recordset-data, when reading one record.  
-	 * @param id
-	 * @param instream
+	 * Here the external key for the data gets cache-internal counter-id assigned
+	 * which is also returned back.
+	 * 
+	 * The external key gets parsed and put as individual attributes in the <f>-element:
+	 * 
+	 * <code>
+	 * <f collection="" date="2011-04-20 01:06:50" duration="0.227" id="3" lang="en"
+     *   maxDepth="1"
+     *   maximumItems=""
+     *   query=""
+     *   repository="localhost-mirror"
+     *   squery=""
+     *   startItem=""
+     *   type="collections"/>
+      </code>
+	 *  
+	 * 
+	 * @param key_info a complex string carrying all relevant parameters
+	 * @param instream data to be stored
 	 * @return
 	 */
Index: /MDService2/trunk/MDService2/src/eu/clarin/cmdi/mdservice/action/MDRepoProxyAction.java
===================================================================
--- /MDService2/trunk/MDService2/src/eu/clarin/cmdi/mdservice/action/MDRepoProxyAction.java	(revision 1233)
+++ /MDService2/trunk/MDService2/src/eu/clarin/cmdi/mdservice/action/MDRepoProxyAction.java	(revision 1234)
@@ -32,4 +32,6 @@
  * responds to requests (collections, model, recordset) 
  * by dispatching the requests to appropriate internal methods and filling the inputStream with the result
+ * 
+ * It is possible to switch target-repository dynamically  (on every request). I.e. the client explicitly selects one of the repositories.
  *  
  * @author vronk
Index: /MDService2/trunk/MDService2/src/xsl/mdset2view.xsl
===================================================================
--- /MDService2/trunk/MDService2/src/xsl/mdset2view.xsl	(revision 1233)
+++ /MDService2/trunk/MDService2/src/xsl/mdset2view.xsl	(revision 1234)
@@ -140,6 +140,5 @@
     <xsl:value-of select="if(number($cnt_hits) &lt; number($maximumItems)) then $cnt_hits else $maximumItems"/>    
   </xsl:attribute></input></span>
-  <span class="cmd cmd_reload" />
-  <span class="cmd cmd_save" />
+  <span class="cmd cmd_reload" /><span class="cmd cmd_save" />  
 <!--	<button class="reload">reload</button>-->
 	<span class="cmd cmd_prev">	
@@ -160,6 +159,7 @@
 	<!--  <div class='ui-context-dialog ui-widget-content columns-wrapper'>  -->
 		<div class='ui-widget-content columns-wrapper'>
-			<div class='cmds'><span class="cmd cmd_reload" /></div>
+			<div class='cmds'><span class="cmd cmd_reload" /><span class="cmd cmd_save" /></div>
 			<div class='query-columns'>
+			<label>Columns</label>
 				<xsl:call-template name="columns" />
 			</div>
@@ -256,8 +256,74 @@
 </xsl:template>
 
-<!--   this should be `record` to make it SRU-compatible --> 
+
+<xsl:template match="records" mode="list">
+    
+	<table class="show">		
+		<thead><tr><th>pos</th><th>record</th>			  			
+		</tr></thead>
+		<tbody>		
+			<xsl:apply-templates select="CMD" mode="list" />			
+		</tbody>
+	</table>
+
+</xsl:template>
+
+<!-- FIXME:   there should be a @match=`record` template to make it SRU-compatible -->
+
 <xsl:template match="CMD" mode="table">
+
+	<xsl:variable name="curr_record" select="." />
+	<xsl:variable name="fields" >
+		<xsl:for-each select="$columns/*">
+	  			<!-- <td ><xsl:value-of select="$curr_cmd//*[name()=current()]" /></td> -->
+	<!--  	<xsl:message><xsl:copy-of select="."></xsl:copy-of> </xsl:message> -->
+	 				 <xsl:variable name="curr_col_xpath" select="@xpath" />
+	  			<td> 			
+	  				<xsl:for-each select="$curr_record">
+	  					<xsl:call-template name="format-field" >
+	  						<xsl:with-param name="elems" select="saxon:evaluate(concat('.//', $curr_col_xpath))" />
+	  					</xsl:call-template> 					
+	  				
+	  				</xsl:for-each>
+	  			</td>
+	  			</xsl:for-each>
+	  </xsl:variable>
+
+	<xsl:call-template name="record-table-row" >
+		<xsl:with-param name="fields" select="$fields" />
+	</xsl:call-template>
+	
+</xsl:template>
+
+<xsl:template match="CMD" mode="list">
+
+		<xsl:variable name="curr_record" select="." />			
+		<xsl:variable name="cmd_sel_fields" >
+			<xsl:for-each select="$columns/*">
+ 				<xsl:variable name="curr_col_xpath" select="@xpath" />  			 			
+  				<xsl:for-each select="$curr_record">  				
+  					<xsl:copy-of select="saxon:evaluate(concat('.//', $curr_col_xpath))" />
+  				</xsl:for-each>  			
+  			</xsl:for-each>
+  		</xsl:variable>
+		<xsl:variable name="fields" >
+			<div>
+				<xsl:apply-templates select="$cmd_sel_fields" mode="format-xmlelem" />
+			</div>
+		</xsl:variable>
+
+	<xsl:call-template name="record-table-row" >
+		<xsl:with-param name="fields" select="$fields" />
+	</xsl:call-template>
+											
+</xsl:template>
+
+
+<xsl:template name="record-table-row">
+<xsl:param name="fields" />
+<!-- @field absolute_position compute records position over whole recordset, ie add `startItem` (important when paging)
+ -->
 	<xsl:variable name="absolute_position" select="if (number($startItem)=number($startItem)) then number($startItem) + position() - 1 else  position()" />
-	<xsl:variable name="curr_record" select="." />
+	
 		<tr>
 		<td rowspan="2">
@@ -279,85 +345,8 @@
 		</tr>
 		<tr>
-		<!-- <xsl:for-each select="$cols/col" >
-					<td ><xsl:value-of select="$curr_cmd//*[name()=current()]" /></td>
-				<xsl:for-each select="distinct-values($cols/col/@label)" >
-					<td >
-					 <xsl:value-of select="$curr_cmd//*[name()=current()]" />  
-						 <xsl:for-each select="$cols/col[@label=current()]" > 
-						 <xsl:variable name="curr_col_xpath" select="text()" />	
-							
-						  	<xsl:message><xsl:value-of select="$curr_col_xpath" /></xsl:message>
-						 
-							<xsl:for-each select="$curr_cmd" >
-									<xsl:value-of select="saxon:evaluate(concat('.//', $curr_col_xpath))" />
-							</xsl:for-each>
-						</xsl:for-each>
-					</td>
-				</xsl:for-each>
-		  -->
-
-			<xsl:for-each select="$columns/*">
-  			<!-- <td ><xsl:value-of select="$curr_cmd//*[name()=current()]" /></td> -->
-<!--  	<xsl:message><xsl:copy-of select="."></xsl:copy-of> </xsl:message> -->
- 				 <xsl:variable name="curr_col_xpath" select="@xpath" />
-  			<td> 			
-  				<xsl:for-each select="$curr_record">
-  					<xsl:call-template name="format-field" >
-  						<xsl:with-param name="elems" select="saxon:evaluate(concat('.//', $curr_col_xpath))" />
-  					</xsl:call-template> 					
-  				
-  				</xsl:for-each>
-  			</td>
-  			</xsl:for-each>
+			<xsl:copy-of select="$fields" />						
 		</tr>									
 </xsl:template>
 
 
-<xsl:template match="records" mode="list">
-    
-	<table class="show">		
-		<thead><tr><th>pos</th><th>record</th>			  			
-		</tr></thead>
-		<tbody>		
-			<xsl:apply-templates select="CMD" mode="list" />			
-		</tbody>
-	</table>
-
-</xsl:template>
-
-<xsl:template match="CMD" mode="list">
-	<xsl:variable name="absolute_position" select="if (number($startItem)=number($startItem)) then number($startItem) + position() - 1 else  position()" />
-		<tr>
-		<td>
-			<xsl:choose>
-				<xsl:when test="exists(.//MdSelfLink)" >
-				<a class="internal" href="{concat('record/htmldetail/', my:encodePID(.//MdSelfLink))}" >
-						<xsl:value-of select="$absolute_position" />
-				</a>
-				<span class="cmd cmd_detail" ></span>				
-				<span class="cmd cmd_save" ></span>						
-				</xsl:when>
-				<xsl:otherwise><xsl:value-of select="$absolute_position" /></xsl:otherwise>
-			</xsl:choose>
-		</td>
-		
-		<xsl:variable name="curr_record" select="." />
-			
-		<xsl:variable name="cmd_sel_fields" >
-			<xsl:for-each select="$columns/*">
- 				<xsl:variable name="curr_col_xpath" select="@xpath" />  			 			
-  				<xsl:for-each select="$curr_record">  				
-  					<xsl:copy-of select="saxon:evaluate(concat('.//', $curr_col_xpath))" />
-  				</xsl:for-each>  			
-  			</xsl:for-each>
-  		</xsl:variable>
-  			<td>
-			<div>
-				<xsl:apply-templates select="$cmd_sel_fields" mode="format-xmlelem" />
-			</div>
-		</td>
-		</tr>									
-</xsl:template>
-
-
 </xsl:stylesheet>
